example_user.c(3)

NAME
example_user.c

SYNOPSIS

#include <stdlib.h>
#include <stdio.h>
#include 'lapacke.h'

  Macros
#define N 5
#define NRHS 3
#define LDA N
#define LDB NRHS

  Functions
void print_matrix (char *desc, lapack_int m, lapack_int n, double *a, lapack_int lda)
void print_int_vector (char *desc, lapack_int n, lapack_int *a)
int main ()

Macro Definition Documentation

  #define LDA N

Definition at line 12 of file example_user.c.

  #define LDB NRHS

Definition at line 13 of file example_user.c.

  #define N 5

Definition at line 10 of file example_user.c.

  #define NRHS 3

Definition at line 11 of file example_user.c.

Function Documentation

  int main ()

Definition at line 16 of file example_user.c.

  void print_int_vector (char * desc, lapack_int n, lapack_int * a)

Definition at line 90 of file example_user.c.

  void print_matrix (char * desc, lapack_int m, lapack_int n, double * a, lapack_int lda)

Definition at line 80 of file example_user.c.

Author

Generated automatically by Doxygen for LAPACK from the source code.